
@cls
@echo off
chcp 65001>nul
CD /D "%~dp0">nul
cls


set SrcPath=%~dp1
If Exist "%SrcPath%" cd /D "%SrcPath%"

set Src0=%~nx1
If Not Exist "%Src0%" echo.&&echo  [%Src0%] Not Found.&&echo.&&pause&&Goto End

set Target=*._SN

set Dest0=%Src0%-rename
If Exist "%Dest0%" echo.&&echo  [%Dest0%] Aleady Existed.&&echo.&&pause&&Goto End




setlocal enabledelayedexpansion

for %%f IN ("%Src0%\%Target%") DO ((

set Target0=%%~nf        %%~xf

for %%i IN ("a=A" "b=B" "c=C" "d=D" "e=E" "f=F" "g=G" "h=H" "i=I" "j=J" "k=K" "l=L" "m=M" "n=N" "o=O" "p=P" "q=Q" "r=R" "s=S" "t=T" "u=U" "v=V" "w=W" "x=X" "y=Y" "z=Z") DO (set Target0=!Target0:%%~i!)
for %%j IN ("!Target0!") DO (set Target0=!Target0:~0,8!&&set DestFile=!Target0!%%~xj)

If Not Exist "%Dest0%" mkdir "%Dest0%"

echo !DestFile!

copy /b /y "%%f" "%Dest0%\Temp_!DestFile!">nul
move /y "%Dest0%\Temp_!DestFile!" "%Dest0%\!DestFile!">nul

))

endlocal




:End
rem pause
